Jump to content

MediaWiki:Common.css: Difference between revisions

From ANRC Universe
Created page with "body { --light-gray: #f7f7fc; font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif; margin: 0; display: grid; grid-gap: 10px; grid-template-columns: 300px 1fr; grid-template-rows: 100px 1fr; min-height: 100vh; min-width: 100vh; } a { text-decoration: none; } a:hover { text-decoration: underline; } button { padding: 0.5rem 1rem; background: #fff; border: 1px..."
 
Blanked the page
Line 1: Line 1:
body {
  --light-gray: #f7f7fc;


  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  margin: 0;
  display: grid;
  grid-gap: 10px;
  grid-template-columns: 300px 1fr;
  grid-template-rows: 100px 1fr;
  min-height: 100vh;
  min-width: 100vh;
}
a {
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
button {
  padding: 0.5rem 1rem;
  background: #fff;
  border: 1px solid #88f;
  border-radius: 4px;
  color: blue;
  outline: 0;
  font-size: 12px;
}
button:active {
  background: var(--light-gray);
}
button.primary {
  color: #fff;
  background: blue;
  border-color: blue;
}
header {
  grid-column-start: 1;
  grid-column-end: 3;
  background: var(--light-gray);
}
nav {
  border-right: 1px solid #ccd;
}
main {
  padding-left: 20px;
}
wiki-header {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100px;
  padding: 0 20px;
}
wiki-header h1,
wiki-header p {
  margin: 0.25rem 0;
  line-height: 1;
}
wiki-header h1 a {
  color: inherit;
}
wiki-header .admin {
  position: absolute;
  top: 30px;
  right: 20px;
}
wiki-header .admin button {
  margin-left: 5px;
}
wiki-nav {
  display: block;
  overflow: hidden;
}
wiki-nav a {
  display: block;
  color: #445;
  padding: 0.5rem 1rem;
  margin: 0;
}
wiki-nav a:last-child {
  border-bottom: 0;
}
wiki-nav a:hover {
  text-decoration: none;
  background: var(--light-gray);
}
wiki-nav a.active {
  background: var(--light-gray);
}
wiki-nav .empty {
  padding: 0.6rem 1rem;
  color: #667;
}
.content > :first-child {
  margin-top: 1rem;
}
.content hr {
  border: 0;
  border-top: 1px solid #ccd;
}
.content h1,
.content h2,
.content h3,
.content h4,
.content h5 { margin: 1.5rem 0; }
.content h1 { font-size: 2em; }
.content h2 { font-size: 1.7em; }
.content h3 { font-size: 1.4em; }
.content h4 { font-size: 1.3em; }
.content h5 { font-size: 1.1em; }
.content pre {
  background: var(--light-gray);
  padding: 1em;
  overflow: auto;
}
.content p,
.content ul,
.content ol {
  line-height: 1.5;
}
.content table {
  margin: 1em 0;
}
.content blockquote {
  border-left: 10px solid var(--light-gray);
  margin: 1em 0;
  padding: 1px 1.5em;
  color: #667;
}
wiki-page .empty {
  padding: 20vh 5vw 40vh 0;
  text-align: center;
  font-size: 23px;
  color: #667;
}
wiki-page .empty button {
  font-size: 18px;
}
wiki-page textarea.editor {
  width: calc(100% - 20px);
  height: calc(100vh - 130px);
  margin-top: 10px;
  padding: 20px;
  box-sizing: border-box;
  border: 1px solid #ccd;
  font-size: 17px;
  letter-spacing: 0.75px;
  line-height: 1.4;
  outline: 0;
}

Revision as of 16:05, 3 February 2026